*
* Generic pentode model: 6V6S_AN
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Version 3.10, Generated on Mon Aug 04 10:10:20 2014
*               Plate
*               | Screen Grid
*               | |  Control Grid
*               | |  |  Cathode
*               | |  |  |
.SUBCKT 6V6S A G2 G1 K
BGG   GG   0 V=V(G1,K)+1
BM1   M1   0 V=(0.057229956*(URAMP(V(G2,K))+1e-10))**-0.93001295
BM2   M2   0 V=(0.61728066*(URAMP(V(GG)+URAMP(V(G2,K))/6.6873953)))**2.430013
BP    P    0 V=0.00094976167*(URAMP(V(GG)+URAMP(V(G2,K))/10.833638))**1.5
BIK   IK   0 V=U(V(GG))*V(P)+(1-U(V(GG)))*0.00060889421*V(M1)*V(M2)
BIG   IG   0 V=0.00047488083*URAMP(V(G1,K))**1.5*(URAMP(V(G1,K))/(URAMP(V(A,K))+URAMP(V(G1,K)))*1.2+0.4)
BIK2  IK2  0 V=V(IK,IG)*(1-0.4*(EXP(-URAMP(V(A,K))/URAMP(V(G2,K))*15)-EXP(-15)))
BIG2T IG2T 0 V=V(IK2)*(0.906840231*(1-URAMP(V(A,K))/(URAMP(V(A,K))+10))**1.5+0.093159769)
BIK3  IK3  0 V=V(IK2)*(URAMP(V(A,K))+3125)/(URAMP(V(G2,K))+3125)
BIK4  IK4  0 V=V(IK3)-URAMP(V(IK3)-(0.00060937203*(URAMP(V(A,K))+URAMP(URAMP(V(G2,K))-URAMP(V(A,K))))**1.5))
BIP   IP   0 V=URAMP(V(IK4,IG2T)-URAMP(V(IK4,IG2T)-(0.00060937203*URAMP(V(A,K))**1.5)))
BIAK  A    K I=V(IP)+1e-10*V(A,K)
BIG2  G2   K I=URAMP(V(IK4,IP))
BIGK  G1   K I=V(IG)
* CAPS
CGA   G1  A  0.7p
CGK   G1  K  5.4p
C12   G1  G2 3.6p
CAK   A   K  8.5p
.ENDS


.SUBCKT 6V6 1 2 3 4 ; A G2 G1 C;
*      Extract V1.980
* Model created:  7-Jun-2014
* NOTE: LOG(x) is base e LOG or natural logarithm.
* For some Spice versions, e.g. MicroCap, this has to be changed to LN(x).
X1 1 2 3 4 BTetrodeDE  MU= 10.56 EX=1.306 kG1= 609.8 KP=  47.9 kVB = 2171.5 kG2=17267.3
+Sc=.81E-01 ap=  .013 w=    18. nu=   .92 lam=     5.7
+ Ookg1mOokG2=.158E-02 Aokg1=.57E-06 alkg1palskg2=.158E-02 be=  .068 als= 18.72 RGI=2000
+ CCG1=9.0P  CCG2 = 0.0p CPG1 = 0.7p  CG1G2 = 0.0p CCP=7.5P  ;
.ENDS
****************************************************                            
.SUBCKT BTetrodeDE 1 2 3 4; A G2 G1 C                                            
RE1  7 0  1MEG    ; DUMMY SO NODE 7 HAS 2 CONNECTIONS                           
E1 7 0 VALUE=                                                                   
+{V(2,4)/KP*LOG(1+EXP(KP*(1/MU+V(3,4)/SQRT(KVB+V(2,4)*V(2,4)))))}               
E2   8 0 VALUE = {Ookg1mOokG2 + Aokg1*V(1,4) - alkg1palskg2*Exp(-be*V(1,4)*SQRT(be*V(1,4)))}
E3   9 0 VALUE = {Sc/kG2*V(1,4)*(1+tanh(-ap*(V(1,4)-V(2,4)/lam+w+nu*V(3,4))))}  
G1   1 4 VALUE = {0.5*(PWR(V(7),EX)+PWRS(V(7),EX))*(V(8)-V(9))}                                                                     
G2   2 4 VALUE = {0.5*(PWR(V(7),EX)+PWRS(V(7),EX))/KG2 *(1+als*Exp(-be*V(1,4) * SQRT(be*V(1,4))))}
RCP  1 4  1G      ; FOR CONVERGENCE    A  - C                                      
C1   3 4  {CCG1}   ; CATHODE-GRID 1    C  - G1
C4   2 4  {CCG2}   ; CATHODE-GRID 2    C  - G2
C5   2 3  {CG1G2}   ; Grid 1-GRID 2    G1  - G2
C2   1 3  {CPG1}  ; GRID 1-PLATE    G1 - A                                         
C3   1 4  {CCP}   ; CATHODE-PLATE    A  - C                                        
R1   3 5  {RGI}   ; FOR GRID CURRENT    G1 - 5                                     
D3   5 4  DX      ; FOR GRID CURRENT    5  - C                                     
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N)
.ENDS BTetrodeDE
